// Written by TeTeT
// sample mission for radar script usage

waitUntil {alive player};
sleep 1;

/*_nimspots = ["nimspots"] call TTT_fnc_global;
_pos = _nimspots modeltoworld (_nimspots selectionposition "C2");

systemChat format ["C2 is at %1", _pos];
*/

private ["_marker"];
_marker = createMarkerLocal ["Nimitz", position Nimitz];
_marker setMarkerTypeLocal "Nimitz";

player addAction ["start radar",
	"[] execVM ""functions\fn_radar.sqf"";",
	nil,
	1,
	false,
	true,
	"",
	"isNil {player getVariable ""TTT_radar""}"
	];

player addAction["stop radar",
	"player setVariable[""TTT_radar"", nil]",
	nil,
	1,
	false,
	true,
	"",
	"!isNil {player getVariable ""TTT_radar""}"
];

// spawn some planes
[] spawn {
	while {alive player} do {
		private ["_veh", "_type", "_pos", "_altt", "_tgtPos", "_wp"];
		_type = ["JS_JC_FA18E", "JS_JC_FA18F", "FIR_F14D_VF111", "FIR_F14D_VF84", "B_Heli_Transport_03_F",
			 "O_Heli_Light_02_F", "O_Heli_Attack_02_F", "O_Heli_Transport_04_F", "O_Plane_CAS_02_F" ] call bis_fnc_selectRandom;
		_veh = _type createVehicle [0,0,1000];
		createVehicleCrew _veh;
		_altt = 100 + random 2000;

		_pos = Nimitz getPos [1000 + random 10000, random 360];
		_pos = [_pos select 0, _pos select 1, _altt];

		_veh setPosASL _pos;
		_veh setVelocity [100, 0, 0];

		_tgt = Nimitz getPos [random 1000, random 360];
		_wp = (group (crew _veh select 0)) addWaypoint [_tgt, 0];

		_tgt = Nimitz getPos [15000, random 360];
		_wp = (group (crew _veh select 0)) addWaypoint [_tgt, 0];

		[_veh, _tgt] spawn {
			params ["_veh", "_tgt"];
			waitUntil {_veh distance _tgt < 1000};
			{ deleteVehicle _x } forEach crew _veh;
			deleteVehicle _veh;
		};
		sleep 10;
	};
};